#ifndef __UTIL_EXAMPLE_H__
#define __UTIL_EXAMPLE_H__

int distance(int ax, int ay, int bx, int by);
int grid_is_illegal(int x, int y, int map_size_x, int map_size_y);
int trim_circle(int **map_fov, int radius);
int digital_fov_los(int **map, int map_size_x, int map_size_y,
                    int **map_fov,
                    int center_x, int center_y, int radius);
int dummy_fov(int **map, int map_size_x, int map_size_y,
              int **map_fov,
              int center_x, int center_y, int radius);
int read_map_from_file(const char *file_name,
                       int **map, int map_size_x_max, int map_size_y_max,
                       int *map_size_x, int *map_size_y,
                       int *center_x, int *center_y, int **map_char,
                       int quiet);
int random_map(int **map, int map_size_x_max, int map_size_y_max,
               int *map_size_x, int *map_size_y,
               int *center_x, int *center_y, int **map_char,
               int radius, int wall_rarity);

#endif /* not __UTIL_EXAMPLE_H__ */
